/** @packageDocumentation
 * @module UsageLogging
 */
import { AuthorizedClientRequestContext } from "@bentley/itwin-client";
import { ClientTelemetryEvent, FrontendTelemetryClient } from "@bentley/telemetry-client";
import { FeatureLogEntry } from "./UsageLoggingClient";
/**
 * @internal
 * Wrapper around [[UsageLoggingClient]] that implements [[TelemetryClient]]
 */
export declare class FrontendFeatureUsageTelemetryClient extends FrontendTelemetryClient {
    protected readonly _hostname: string;
    private readonly _usageLoggingClient;
    constructor(_hostname?: string);
    protected _postTelemetry(requestContext: AuthorizedClientRequestContext, clientTelemetryEvent: ClientTelemetryEvent): Promise<void>;
    static getFeatureLogEntry(clientTelemetryEvent: ClientTelemetryEvent, hostname: string): FeatureLogEntry;
}
//# sourceMappingURL=FrontendFeatureUsageTelemetryClient.d.ts.map